#
Summary: This will enable sendmail to accept mail from the outside world
Name: zz_sendmail_accept
Version: 1.2
Release: 1
License: GPL
Group: Fermi
Vendor: Fermilab
Packager: Troy Dawson, Kevin Hill
Requires: sendmail, m4, sendmail-cf
BuildArchitectures: noarch
Obsoletes: SL_sendmail_accept
%description

This rpm modifies the sendmail.mc file and rebuilds sendmail.cf so sendmail
will accept mail from the outside world and not just localhost.

%files
%post

#
#

if [ -f /etc/mail/sendmail.mc.rpmsave ]
then
	echo "sendmail.mc was already edited. delete sendmail.mc.rpmsave"
	echo "if you are sure you want to do this"
else
	cd /etc/mail
	cp sendmail.mc sendmail.mc.rpmsave
	cat sendmail.mc.rpmsave | sed 's/DAEMON_OPTIONS/dnl DAEMON_OPTIONS/' >sendmail.mc
	m4 sendmail.mc >/etc/sendmail.cf
	service sendmail restart
fi

%postun

if [ -f /etc/mail/sendmail.mc.rpmsave ]
then
	mv -f /etc/mail/sendmail.mc.rpmsave /etc/mail/sendmail.mc 
	m4 /etc/mail/sendmail.mc >/etc/sendmail.cf
	service sendmail restart
fi

